axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevin McLoughlin <kevin.mclough...@serco.com>
Subject jdk 1.5 requires axis1.2rc2 but that is incompatible with ms soap toolkit?
Date Mon, 08 Aug 2005 09:54:21 GMT
Ok compiling with jdk1.5 with axis requires you to upgrade to axis 1.2rc2 or
later.  This has the disadvantage that the sent message uses "href =#id0"
and a multiref tag to hold the values.  Although this is valid soap the
server is running the ms soap toolkit which is expecting the actual value
not a reference to it? The parser at the server end isn't clever enough so
returns an invalid type error when cast!

 

My question is there a way to force axis 1.2rc2 to not use multiref - an
explicit option? Or am I in big trouble!

 

My colleagues have deployed the solution with axis 1.1 and jboss compiled
with jdk1.5, it works on the servers but not on the test program that I have
working perfectly with jdk1.4.2.  Is this possible? 

 

Thanks,

 

Kevin

 

Serco Integrated Transport, Web Site: www.serco.com/sit          -
This message, including attachments, is intended only for the use by the
person(s) to whom it is addressed. It may contain information which is
privileged and confidential. Copying or use by anybody else is not
authorised. If you are not the intended recipient, please contact the sender
as soon as possible. The views expressed in this communication may not
necessarily be the views held by Serco Integrated Transport.

Mime
View raw message